<div class="col-md-12 pt-3" *ngIf="orderDetails">
  <div class="row">
    <div class="col-md-12">
      <div class="order-header">
        <div class="order-id">
          {{'OrderID' | translate: lang }}: {{orderDetails.orderDetails[0].orderNumber}}
        </div>
        <div *ngIf="orderDetails.orderDetails[0].companyName">
          <app-vendor-order-name [vendorName]="orderDetails.orderDetails[0].companyName"></app-vendor-order-name>
        </div>
        <div class="order-back-btn">
          <button mat-raised-button color="primary" type="button" class="btn" (click)="onBack()">{{'Back' |
            translate:lang}}</button>
        </div>
      </div>
      <div class="panel panel-default">
        <div class="panel-heading">
          <h4 class="panel-title"><strong>{{'OrderSummary' | translate:lang}}</strong></h4>
        </div>
        <div class="panel-body">
          <div class="table-responsive">
            <table class="table">
              <thead>
                <tr class="table-header">
                  <td><strong>{{'ItemId' | translate:lang}}</strong></td>
                  <td class="text-left"><strong>{{'Description' | translate:lang}}</strong></td>
                  <td class="text-right bl thead-width"><strong>{{'UnitPrice' | translate:lang}}</strong></td>
                  <td class="text-right"><strong>{{'Total' | translate:lang}}</strong></td>
                </tr>
              </thead>
              <tbody>
                <tr class="table-inner" *ngFor="let product of orderDetails.productDetails">
                  <td class="no-line">{{product.productCode}}</td>
                  <td class="text-left iten-des no-line">
                    {{product.productName}}
                    <div *ngFor="let productOption of product.productAttributes">{{productOption.optionName}}:
                      <b>{{productOption.optionValueName}}</b></div>
                  </td>
                  <td class="text-right unit-price no-line bl">
                    {{product.quantity}} * {{product.mrpSalesPrice | customCurrencyFormat}}
                    <span class="off-price"
                      *ngIf="showDiscount !== 0 && product.discountAmount !== 0">{{product.strikeoutAmount | customCurrencyFormat}}</span>
                  </td>
                  <td class="text-right no-line">{{product.total | customCurrencyFormat}}</td>
                </tr>
                <tr class="table-inner order-summary-border">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl">{{'LABEL_SUB_TOTAL' | translate: lang}}</td>
                  <td class="no-line text-right">
                    {{subTotal | customCurrencyFormat}}
                  </td>
                </tr>
                <tr class="table-inner">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line ord-border text-right bl">{{'LABEL_COUPON_DISCOUNT' | translate: lang}}</td>
                  <td class="no-line ord-border text-right">
                    <span *ngIf="orderDetails.orderDetails[0].couponOrderDiscountAmount">
                      - {{orderDetails.orderDetails[0].couponOrderDiscountAmount | customCurrencyFormat}}
                    </span>
                    <span *ngIf="!orderDetails.orderDetails[0].couponOrderDiscountAmount">
                      {{ 0 | customCurrencyFormat}}
                    </span>
                  </td>
                </tr>
                <tr class="table-inner">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl">{{'LABEL_GROSS_TOTAL' | translate:lang }}</td>
                  <td class="no-line text-right">
                    {{grossTotal | customCurrencyFormat}}
                  </td>
                </tr>
                <tr class="table-inner">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl">
                    {{'Shipping'| translate:lang}}
                    <span *ngIf="orderDetails.orderDetails[0].couponFreeShipping === 1">
                      [{{'labelFreeShipping' | translate: lang}}]
                    </span>
                  </td>
                  <td class="no-line text-right">{{orderDetails.orderDetails[0].shippingAmount | customCurrencyFormat}}
                  </td>
                </tr>
                <tr class="table-inner">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl">{{'labelTax' | translate:lang }}</td>
                  <!-- <td class="no-line text-right">{{currency[0]}}{{currencyFormat ? (estimatedTax | number) : (estimatedTax)}}</td> -->
                  <td class="no-line text-right">{{estimatedTax | customCurrencyFormat}}</td>
                </tr>
                <tr class="table-inner">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl bt"><strong>{{'Total' | translate:lang }}</strong></td>
                  <!-- <td class="no-line text-right bt"><strong>{{currency[0]}}{{currencyFormat ? (orderDetails.orderDetails[0].orderTotal | number) : (orderDetails.orderDetails[0].orderTotal)}}</strong></td> -->
                  <td class="no-line text-right bt">
                    <strong>{{orderDetails.orderDetails[0].orderTotal | customCurrencyFormat}}</strong></td>
                </tr>
                <tr class="table-inner" *ngIf="walletAmount">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl"><b>{{'walletPayment'| translate:lang}}</b></td>
                  <!-- <td class="no-line text-right">{{currency[0]}}{{currencyFormat ? (walletAmount | number) : (walletAmount)}}</td> -->
                  <td class="no-line text-right"><b>{{walletAmount | customCurrencyFormat}}</b></td>
                </tr>
                <tr class="table-inner" *ngIf="stripeAmount">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl"><b>{{'ONLINE_PAYMENT'| translate:lang}}</b></td>
                  <td class="no-line text-right"><b>{{stripeAmount | customCurrencyFormat}}</b></td>
                </tr>
                <tr class="table-inner" *ngIf="advanceAmount">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl"><b>{{'LABEL_ADVANCE_AMOUNT'| translate:lang}}</b></td>
                  <td class="no-line text-right"><b>{{advanceAmount | customCurrencyFormat}}</b></td>
                </tr>
                <tr class="table-inner" *ngIf="codAmount">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl"><b>{{'codPayment'| translate:lang}}</b></td>
                  <td class="no-line text-right"><b>{{((advanceAmount && advanceAmount !== codAmount) || (!advanceAmount)) ? (codAmount | customCurrencyFormat) : (0 | customCurrencyFormat) }}</b></td>
                </tr>
                <tr class="table-inner" *ngIf="razorpayAmount">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl"><b>{{'ONLINE_PAYMENT'| translate:lang}}</b></td>
                  <td class="no-line text-right"><b>{{razorpayAmount | customCurrencyFormat}}</b></td>
                </tr>
                <tr class="table-inner" *ngIf="hdfcAmount">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl"><b>{{'ONLINE_PAYMENT' | translate: lang}}</b></td>                            
                  <td class="no-line text-right"><b>{{hdfcAmount | customCurrencyFormat}}</b></td>
                </tr>
                <tr class="table-inner" *ngIf="cashfreeAmount">
                  <td class="no-line"></td>
                  <td class="no-line"></td>
                  <td class="no-line text-right bl"><b>{{'ONLINE_PAYMENT' | translate: lang}}</b></td>                            
                  <td class="no-line text-right"><b>{{cashfreeAmount | customCurrencyFormat}}</b></td>
                </tr>
                <tr class="table-inner">
                  <td colspan="4" *ngIf="orderDetails.orderDetails[0].cancelReason">
                    <b>{{'cancelReason' | translate:lang}}</b>&nbsp;<span>{{orderDetails.orderDetails[0].cancelReason}}</span>
                  </td>
                </tr>
                <tr class="table-inner">
                  <td *ngIf="orderDetails.orderDetails[0].cancelDescription" colspan="4" class="details-oveflow"
                    align="left">
                    <b>{{'cancelDescription' | translate:lang}}</b>&nbsp;<span>{{orderDetails.orderDetails[0].cancelDescription}}</span>
                  </td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <div class="cancel-order-btn">
        <button mat-raised-button color="primary" type="button" [disabled]="!cancelOrder" (click)="onCancelOrder()">{{'CancelOrder'
          | translate:lang }} </button>
      </div>
    </div>
  </div>
  <mat-tab-group>
    <mat-tab label="{{'SHIPPING_ADD' | translate:lang}}">
      <div class="order-address">
        {{orderDetails.shippingAddress[0]?.firstName}}{{' '}}{{orderDetails.shippingAddress[0]?.lastName}}<br>
        {{orderDetails.shippingAddress[0]?.addressOne}}, {{orderDetails.shippingAddress[0]?.addressTwo ? (orderDetails.shippingAddress[0]?.addressTwo + ',') : ''}} <br>
        {{orderDetails.shippingAddress[0]?.townVillageName}}, {{orderDetails.shippingAddress[0]?.stateName}}<br>
        {{orderDetails.shippingAddress[0]?.countryName}}-{{orderDetails.shippingAddress[0]?.zipCode}}.
      </div>
    </mat-tab>
    <mat-tab label="{{'BILLING_ADD' | translate:lang}}">
      <div class="order-address">
        {{orderDetails.billingAddress[0]?.firstName}}{{' '}}{{orderDetails.billingAddress[0]?.lastName}}<br>
        {{orderDetails.billingAddress[0]?.addressOne}}, {{orderDetails.billingAddress[0]?.addressTwo ? (orderDetails.billingAddress[0]?.addressTwo + ',') : ''}} <br>
        {{orderDetails.billingAddress[0]?.townVillageName}}, {{orderDetails.billingAddress[0]?.stateName}}<br>
        {{orderDetails.billingAddress[0]?.countryName}}-{{orderDetails.billingAddress[0]?.zipCode}}.
      </div>
    </mat-tab>
    <mat-tab label="{{'Payment Type' | translate:lang}}">
      <div class="shoppingcart">
        <div class="cart-payment m-r10" *ngFor="let payment of paymentList">
          <img [src]="payment.imageUrl" [alt]="payment.paymentMethod">
        </div>
      </div>
    </mat-tab>
  </mat-tab-group>
  <div class="tracking-stepper">

    <div class="step-wrap" *ngIf="orderStatusId != OrderStatusRef.Pending && orderStatusId != OrderStatusRef.Failure">
      <div *ngFor="let status of trackOptionStaus; let i = index">
        <div
          [ngClass]="{'step-notactivate': !status.isCompleted, 'step-active': i !== trackCompleteStatus.length - 1, 'step-last': i == trackOptionStaus.length - 1}"
          class="step">
          <div class="step-circle" [ngClass]="{'step-circle-active': status.isCompleted}">
            <i class="fa fa-check" aria-hidden="true"></i>
          </div>
          <span class="step-name">{{status.displayName}}</span>
        </div>
      </div>
    </div>

    <div *ngIf="orderStatusId == OrderStatusRef.Pending || orderStatusId == OrderStatusRef.Failure" class="track-status">
      <span *ngIf="orderStatusId == OrderStatusRef.Pending">{{'PENDING'| translate: lang}}</span>
      <span *ngIf="orderStatusId == OrderStatusRef.Failure">{{'FAILURE'| translate: lang}}</span>
    </div>

    <div class="trackind-popup" *ngIf="orderStatusId != OrderStatusRef.Pending && orderStatusId != OrderStatusRef.Failure">
      <button mat-raised-button (click)="openInitialTracking()" color="primary">{{'labelTracking'| translate: lang}}
        {{orderDetails.orderDetails[0].orderNumber}}</button>
    </div>

    <div class="row consigment-status" *ngIf="dimensionList && dimensionList.length > 0">
      <mat-table [dataSource]="dimensionList" matSort>
        <ng-container matColumnDef="trackingId">
          <mat-header-cell *matHeaderCellDef>{{'TRACKING_ID' | translate:lang}}</mat-header-cell>
          <mat-cell *matCellDef="let element" [title]="element.trackNumber">
            <a (click)="openTrackingStatus(element.trackNumber)">{{element.trackNumber}}</a>
          </mat-cell>
        </ng-container>
        <ng-container matColumnDef="status">
          <mat-header-cell *matHeaderCellDef>{{'STATUS' | translate:lang}}</mat-header-cell>
          <mat-cell *matCellDef="let element" [title]="element.status">{{element.status}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="weight">
          <mat-header-cell *matHeaderCellDef>{{'WEIGHT' | translate:lang}}</mat-header-cell>
          <mat-cell *matCellDef="let element" [title]="element.weight">{{element.weight}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="length">
          <mat-header-cell *matHeaderCellDef mat-sort-header>{{'LENGTH' | translate:lang}}</mat-header-cell>
          <mat-cell *matCellDef="let element" [title]="element.length">{{element.length}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="height">
          <mat-header-cell *matHeaderCellDef mat-sort-header>{{'HEIGHT' | translate:lang}}</mat-header-cell>
          <mat-cell *matCellDef="let element" [title]="element.height">{{element.height}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="width">
          <mat-header-cell *matHeaderCellDef mat-sort-header>{{'WIDTH' | translate:lang}}</mat-header-cell>
          <mat-cell *matCellDef="let element" [title]="element.width">{{element.width}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="carriervalue">
          <mat-header-cell *matHeaderCellDef mat-sort-header>{{'CARRIER_VALUE' | translate:lang}}</mat-header-cell>
          <mat-cell *matCellDef="let element" [title]="element.carrier">{{element.carrier}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="codValue">
          <mat-header-cell *matHeaderCellDef mat-sort-header>{{'COD_VALUE' | translate:lang}}</mat-header-cell>
          <mat-cell *matCellDef="let element" [title]="element.codValue">{{element.codValue}}</mat-cell>
        </ng-container>
        <ng-container matColumnDef="quantity">
          <mat-header-cell *matHeaderCellDef mat-sort-header>{{'QUANTITY' | translate:lang}}</mat-header-cell>
          <mat-cell *matCellDef="let element" [title]="element.quantity">{{element.quantity}}</mat-cell>
        </ng-container>
        <mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></mat-header-row>
        <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
      </mat-table>
    </div>
  </div>
</div>